Bug 105170 - Dovecot 1.0rc10 broken auth w/ inetd
Summary: Dovecot 1.0rc10 broken auth w/ inetd
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Shaun Amott
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-11-05 08:40 UTC by marquis
Modified: 2006-11-08 01:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description marquis 2006-11-05 08:40:29 UTC
Two days ago the mail/dovecot port was upgraded from 1.0.r7_2 to 1.0.rc10.  This broke SASL and other authentication mechanisms on servers using x/inetd.  Recommend rolling back to r7_2 ASAP and branch off the RCs, which are actually beta releases, into a separate port (dovecot-beta). This is the second time in four upgrades we've had to restore from the previous release.
Comment 1 Edwin Groothuis freebsd_committer 2006-11-05 10:19:48 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Shaun Amott freebsd_committer 2006-11-06 01:29:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->shaun

Grab.
Comment 3 Robin Breathe 2006-11-06 21:02:17 UTC
Roger,

Unfortunately every dovecot release so far has been a beta in some  
sense. As it stands 1.0-rcXX is the current vendor supported and  
recommended release series. Before support was dropped for the 0.99  
series I had indeed intended to provide a separate dovecot-devel port  
in the run-up to 1.0, but as support was dropped for 0.99 I no longer  
feel this was appropriate. If you feel the vendor software is likely  
to be unstable, then I suggest you hold back on upgrading your  
production servers until stability reports have filtered back to the  
dovecot mailing list.
Running under x/inetd is discouraged by the vendor, however this  
particular bug is thought to be fixed in the latest 1.0-rc12 release,  
for which I intend to submit an update shortly.
If you continue to experience issues please feel free to e-mail me  
directly with details.

Shaun: Please close this PR, I will shortly be submitting a  
maintainer update which should fix the particular bug mentioned here.

Regards,
Robin
Comment 4 Shaun Amott freebsd_committer 2006-11-06 21:22:35 UTC
State Changed
From-To: feedback->closed

Close at maintainer's request. 

The current release in ports contains numerous fixes and enhancements 
since rc7, and given that that dovecot is still pre-release, it doesn't 
make any sense to create a "development" version yet.
Comment 5 dfilter service freebsd_committer 2006-11-08 01:12:24 UTC
shaun       2006-11-08 01:12:17 UTC

  FreeBSD ports repository

  Modified files:
    mail/dovecot         Makefile distinfo 
    mail/dovecot/files   patch-dovecot-example.conf 
  Log:
  Update to 1.0rc12. [1]
  
  This version fixes the bug mentioned in ports/105170.
  
  PR:             ports/105274 [1], ports/105170 (related) [2]
  Submitted by:   Robin Breathe <robin@isometry.net> (maintainer) [1],
                  Roger Marquis <marquis@roble.com> [2]
  
  Revision  Changes    Path
  1.55      +1 -1      ports/mail/dovecot/Makefile
  1.30      +3 -3      ports/mail/dovecot/distinfo
  1.24      +18 -18    ports/mail/dovecot/files/patch-dovecot-example.conf
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"